<template>
  <div id="app">
    <router-view></router-view>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import router from './router'

export default {
  name: 'app',
  data () {
    return {}
  },
  methods: {
    ...mapActions({
      loadStoreModules: 'loadStoreModules'
    })
  },
  created: function () {
    // setup db connexion - load store and datas
    this.loadStoreModules().then(() => {
      // simulate a login and redirection after login
      router.replace({name: 'Restaurant'})
    })

    /**
     * Hack for by pass the bug on IOS 12.2
     */

    // for each type of navigator
    /* let hidden, visibilityChange
    if (typeof document.hidden !== 'undefined') {
      hidden = 'hidden'
      visibilityChange = 'visibilitychange'
    } else if (typeof document.mozHidden !== 'undefined') {
      hidden = 'mozHidden'
      visibilityChange = 'mozvisibilitychange'
    } else if (typeof document.msHidden !== 'undefined') {
      hidden = 'msHidden'
      visibilityChange = 'msvisibilitychange'
    } else if (typeof document.webkitHidden !== 'undefined') {
      hidden = 'webkitHidden'
      visibilityChange = 'webkitvisibilitychange'
    } else {
      console.log('Page Visibility API not supported.')
    }
    // action on visibility change
    function handleVisibilityChange () {
      console.log('visibility change', document[hidden] ? 'hidden' : 'visible')
      // check if we are in ios
      let iOS = !!navigator.platform && /iPad|iPhone|iPod/.test(navigator.platform)
      // if ios && localstorage unbinded -> reload page
      if (iOS) {
        window.localStorage.clear()
        window.location.reload()
      }
    }
    // event listener visibility change
    document.addEventListener(visibilityChange, handleVisibilityChange, false) */
  }
}
</script>

<style lang="scss">
  
</style>
